using System;

class Employee
{
    Shop shop;

    public Employee(Shop shop)
    {
        this.shop = shop;

        // Ereignisbehandlungsmethode registrieren
        shop.Opened += new Shop.ShopOpenedEventHandler(ShopIsOpening);
    }

    // Bei Eintritt des Ereignisses ausführen
    private void ShopIsOpening(object source, EventArgs e)
    {
        Console.WriteLine("\t Seufz!");
    }
}

